Skip to main content
GET
/
enterprises
/
{enterprise_id}
/
reputation
/
numbers
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const numberListResponse of client.enterprises.reputation.numbers.list(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
)) {
  console.log(numberListResponse.id);
}
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "phone_number": "+16035551234",
      "enterprise_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "reputation_data": {
        "spam_risk": "low",
        "spam_category": "<string>",
        "maturity_score": 50,
        "connection_score": 50,
        "engagement_score": 50,
        "sentiment_score": 50,
        "last_refreshed_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "meta": {
    "page_number": 123,
    "page_size": 123,
    "total_results": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Query Parameters

page[number]
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page[size]
integer
default:10

Number of items per page

Required range: 1 <= x <= 100
phone_number
string

Filter by specific phone number (E.164 format)

Example:

"+16035551234"

Response

List of phone numbers with reputation data

data
object[]
meta
object